Subject: Re: bug#31743: 27.0.50; [feature request] add command to ERC to erase scrollback text

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Jul 2019 05:45:35 +0200

Jonathan Kyle Mitchell <[email-masked]> writes:

> A recent discussion[1] in help-gnu-emacs revealed that a user
> expected ERC's /CLEAR command (i.e. erc-cmd-CLEAR) to erase the buffer
> contents instead of just recentering the display.
>
> [1] http://lists.gnu.org/archive/html/help-gnu-emacs/2018-06/msg00041.html
>
> I see two options to handle this:
>  1) Modify the existing erc-cmd-CLEAR command to also erase the buffer
>  contents.
>  2) Add a new command to erase the buffer contents and keep the existing
>  CLEAR command that just clears the window by recentering the text to be
>  above the window, preserving the scrollback text.

I think 1) makes more sense, because C-l is pretty easily available,
while deleting the buffer contents is a bit more work (since it has
read-only text).

But on the other hand...  I can't really imagine anybody using /clear
now, but perhaps this would be too surprising a change?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no